### Function

# GLib test_summary

since: 2.62

#### Declaration [src]

    void
    g_test_summary (
      const char* summary
    )

#### Description [src]

Sets the summary for a test.

This may be included in test report output, and is useful documentation for anyone reading the source code or modifying a test in future. It must be a single line, and it should summarise what the test checks, and how.

This should be called at the top of a test function.

For example:

    static void
    test_array_sort (void)
    {
      g_test_summary ("Test my_array_sort() sorts the array correctly and stably, "
                      "including testing zero length and one-element arrays.");

      // ...
    }

See also `g_test_bug()`.

Available since: 2.62

#### Parameters

`summary`

  Type: `const char*`

  Summary of the test purpose.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.